package org.artifactory.federation;

import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.Getter;

@Getter
public class MirrorLagInfo extends MirrorInfo {
    private long lagInMS;
    private long eventRegistrationTimeStamp;

    @JsonCreator
    public MirrorLagInfo(String localRepoKey, String remoteUrl, String remoteRepoKey, long lagInMS,
            long eventRegistrationTimeStamp) {
        super(localRepoKey, remoteUrl, remoteRepoKey);
        this.lagInMS = lagInMS;
        this.eventRegistrationTimeStamp = eventRegistrationTimeStamp;
    }

    public MirrorLagInfo(MirrorInfo mirrorInfo, long lagInMS, long eventRegistrationTimeStamp) {
        super(mirrorInfo.getLocalRepoKey(), mirrorInfo.getRemoteUrl(), mirrorInfo.getRemoteRepoKey());
        this.lagInMS = lagInMS;
        this.eventRegistrationTimeStamp = eventRegistrationTimeStamp;
    }
}
