package org.artifactory.hqc.config;

import lombok.Builder;
import lombok.Value;

import static org.artifactory.common.ConstantValues.hqcExpiryFactor;
import static org.artifactory.common.ConstantValues.hqcMaxBlobSizeKb;
import static org.artifactory.common.ConstantValues.hqcMinCallableDurationMillis;

/**
 * @author Andrey Tashlitsky
 */
@Value
@Builder
public class HeavyQueryCacheConfig {

    @Builder.Default
    int minCallableDurationMillis = hqcMinCallableDurationMillis.getInt();
    @Builder.Default
    int maxBlobSizeKb = hqcMaxBlobSizeKb.getInt();
    @Builder.Default
    int expiryFactor = hqcExpiryFactor.getInt();
    @Builder.Default
    int expiryLowerBound = Integer.MIN_VALUE;
    @Builder.Default
    int expiryUpperBound = Integer.MAX_VALUE;
}
