package org.artifactory.ph;

import org.artifactory.addon.AddonsManager;
import org.artifactory.addon.analytics.AnalyticsAddon;
import org.artifactory.core.api.ph.service.PackageAnalyticsService;
import org.artifactory.descriptor.repo.RepoType;

public class PackageAnalyticsServiceImpl implements PackageAnalyticsService {

    private final AddonsManager addonsManager;

    public PackageAnalyticsServiceImpl(AddonsManager addonsManager) {
        this.addonsManager = addonsManager;
    }

    @Override
    public void onSuccessfulPackageDownload(RepoType repoType, String repoKey, String packageName, String version) {
        addonsManager.addonByType(AnalyticsAddon.class)
                .onSuccessfulPackageDownload(repoType, repoKey, packageName, version);
    }

    @Override
    public void onSuccessfulPackageUpload(RepoType repoType, String repoKey, String packageName, String version) {
        addonsManager.addonByType(AnalyticsAddon.class)
                .onSuccessfulPackageUpload(repoType, repoKey, packageName, version);
    }

    @Override
    public void userCreatedToken(RepoType repoType, String userName) {
        addonsManager.addonByType(AnalyticsAddon.class).userCreatedToken(repoType, userName);
    }
}
