package org.artifactory.repo.system;

import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.Arguments;
import org.junit.jupiter.params.provider.MethodSource;

import java.util.stream.Stream;

import static org.junit.jupiter.api.Assertions.assertEquals;

/**
 * @author Eli Skoran 07/11/2022
 */
class SystemReposTest {

    @ParameterizedTest
    @MethodSource("testInTransitDataProvider")
    void testInTransit(String repoName, boolean expectedIsInTransit) {
        // test
        boolean isInTransit = SystemRepos.isInTransitRepo(repoName);
        // verify
        assertEquals(expectedIsInTransit, isInTransit);
    }

    private static Stream<Arguments> testInTransitDataProvider() {
        return Stream.of(
                Arguments.of("docker-local", false),
                Arguments.of("_intransit", true),
                Arguments.of("intransit", false),
                Arguments.of(null, false)
        );

    }
}