package org.artifactory.logging.layout.service;

import ch.qos.logback.classic.spi.ILoggingEvent;
import lombok.extern.slf4j.Slf4j;
import org.artifactory.logging.entry.ServiceEntryAppPart;
import org.artifactory.logging.layout.BaseJsonLayout;
import org.artifactory.logging.layout.SaasLogParts;

import java.util.Map;

import static org.artifactory.logging.SaasLogNames.SERVICE_LOG;

/**
 * @author Tomer Slutsky
 */
@Slf4j
public class ServiceJsonLayout extends BaseJsonLayout {
    public ServiceJsonLayout() {
        super();
    }

    @Override
    protected void addCustomDataToJsonMap(Map<String, Object> data, ILoggingEvent event) {
        log.trace("Adding data to artifactory service log with json layout");
        ServiceEntryAppPart build = SaasLogParts.getServiceEntryAppPart(data, event);
        log.trace("Clearing original data in artifactory service log json layout");
        data.clear();
        data.put(SERVICE_LOG.getLogKey(), SERVICE_LOG.getLogName());
        data.put("app", build);
    }
}
