package org.artifactory.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.apache.commons.collections.CollectionUtils;
import org.artifactory.repo.RepoConfigReload;

import java.util.Set;

/**
 * @author vovam
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ToString
public class RepoConfigPropagationModel {
    private Set<RepoConfigReload> repoConfigCreateOrUpdate;
    private Set<RepoConfigReload> repoConfigDelete;
    private boolean all;

    public boolean isEmpty() {
        return CollectionUtils.isEmpty(repoConfigCreateOrUpdate)
                && CollectionUtils.isEmpty(repoConfigDelete)
                && !all;
    }
}