package org.artifactory.repo;

import lombok.AllArgsConstructor;
import lombok.Data;
import org.artifactory.model.RepoConfig;

import javax.annotation.Nullable;


/**
 * Class represent a repository CREATE/UPDATE/DELETE operation, it can be used before/after save operations and to
 * reload a state in the system after a change was done
 *
 * @author shayb
 */
@Data
@AllArgsConstructor
public class RepoConfigChange {

    private String repoKey;
    private ConfigAction configAction;
    private RepoConfig newRepoConfig;
    @Nullable
    private RepoConfig oldRepoConfig;

    public enum ConfigAction {
        REPO_CREATE,
        REPO_UPDATE,
        REPO_DELETE,
        REFERENCED_PROXY_CHANGE,
        REFERENCED_LAYOUT_CHANGE
    }
}
