package org.artifactory.util.bundles;

import lombok.experimental.UtilityClass;
import lombok.extern.slf4j.Slf4j;
import org.artifactory.common.home.ArtifactoryHome;

@Slf4j
@UtilityClass
public class BundleConfigurationUtil {

    public static final String BUNDLE_HANDLER_ENABLED = "artifactory.releaseBundles.enabled";

    public static boolean isReleaseBundleHandlerEnabled() {
        try {
            return ArtifactoryHome.get().getSysConfig().getBoolean(BUNDLE_HANDLER_ENABLED, false);
        } catch (RuntimeException e) {
            log.error("Failed to determine {} feature flag, defaulting to false", BUNDLE_HANDLER_ENABLED);
            return false;
        }
    }
}
