package org.artifactory.core.api.ph.listener;

import org.artifactory.core.api.ph.model.PackageArtifact;

/**
 * Listens for artifact events provided by the {@link org.artifactory.ph.PackageStorageInterceptorImpl}
 *
 * The Implementation is provided by the package handler (in OSS, a default empty bean is loaded by the core)
 */
public interface PackageArtifactEventListener {

    default void beforeDelete(PackageArtifact artifact, PackageEventListenerContext context) {
    }

    default void afterCreate(PackageArtifact artifact) {
    }

    default void afterRemoteDownload(PackageArtifact artifact) {
    }

    default void beforeMove(PackageArtifact source, PackageArtifact target) {
    }

    default void afterMove(PackageArtifact source, PackageArtifact target) {
    }

    default void afterCopy(PackageArtifact source, PackageArtifact target) {
    }

    default void afterDelete(PackageArtifact artifact) {
    }

    default void afterPropertyChange(PackageArtifact artifact, String key, boolean delete, String... values) {
    }
}
