package org.artifactory.core.api.ph.model;

/**
 * Describes how search by property should take place. propertyName is always compared case-sensitive.
 * Comparison for propertyValue is dependent on isCaseSensitive value.
 *
 * @author Volodymyr Shulga
 */

public record FilteringProperty(String propertyName, String propertyValue, boolean isCaseSensitive) {

    public FilteringProperty(String propertyName, String propertyValue) {
        this(propertyName, propertyValue, true);
    }
}

