package org.artifactory.core.api.ph.vcs;

import lombok.experimental.UtilityClass;
import org.apache.commons.lang.StringUtils;

import java.text.MessageFormat;

@UtilityClass
public class VcsUrlBuilder {

    /**
     * Formats repository download URL based on
     * VcsGitProvider url definition
     *
     * @return formatted url
     */
    public static String repositoryDownloadUrl(String urlTemplate, String gitOrg, String gitRepo, String version,
            String fileExt) {
        if (!StringUtils.isBlank(urlTemplate)) {
            String[] values = new String[] {gitOrg, gitRepo, version, fileExt};
            return MessageFormat.format(urlTemplate, values);
        }
        return null;
    }
}
