package org.artifactory.core.api.ph.virtual.resolution;

import lombok.NonNull;

import javax.annotation.Nullable;
import java.util.Map;

public interface PackageRequestContext {

    String getRepoKey();

    String getPath();

    @NonNull
    default Map<String, String> getRequestHeaders() {
        return Map.of();
    }

    /**
     * Get alternative url in case of remote repo download
     */
    @Nullable
    default String getAlternativeUrl() {
        return null;
    }

    /**
     * get the servlet request, can be useful for resolving base url in download request
     */
    String getServletContextUrl();

    /**
     * Using to log the request path
     */
    default String getRequestContextInfo() {
        return getPath();
    }

    /**
     * Get zip resource path. used when download a specific path from a zip archive
     */
    String getZipResourcePath();
}
