package org.artifactory.core.api.ph.virtual.resolution;

import org.artifactory.common.resource.BaseResource;

/**
 * Implement this interface in order to delegate api calls to the aggregated repositories
 */
public interface PackageVirtualApiResolver {

    default VirtualResolverState getResolverState() {
        return VirtualResolverState.returnCurrentValue;
    }

    /**
     * Implement this value in case you using VirtualResolverState$collected in foundItemOnRepo
     *
     * @param repoKey        - Virtual repo key
     * @param requestContext - Original download request context
     */
    default BaseResource overrideResource(String repoKey, PackageRequestContext requestContext) {
        return null;
    }
}
