package org.artifactory.core.api.ph.virtual.resolution;

import org.artifactory.common.resource.BaseResource;
import org.artifactory.core.api.ph.exception.PackageVirtualTraversalException;

/**
 * The Implementation is provided by the package handler (in OSS, a default empty bean is loaded by the core)
 */
public interface PackageVirtualResolutionAdapter<T extends PackageMetadataRow> extends PackageVirtualController<T> {

    String VIRTUAL_VISITOR_GUARD_KEY = "virtual-visitor-guard";

    /**
     * The method allows deciding whether to use the legacy virtual resolution strategy;
     *
     * @param virtualRepoKey The virtual repository key
     * @return True in case that the package support the new virtual resolution framework
     */
    boolean shouldUsePackageVirtualResolution(String virtualRepoKey);

    /**
     * Used  by Artifactory to get item resolution by the package layer
     *
     * @param virtualRepo the virtual repository key
     * @param context     request context
     * @return Item Info
     */
    BaseResource getItemInfoFromVirtual(PackageRepo virtualRepo, PackageRequestContext context) throws
            PackageVirtualTraversalException;
}