package org.artifactory.workqueue;

/**
 * A Work Session Service to be as adapter between the WorkQueue and the StorageSessionHolder
 * When A work queue is required to be executed after commit, it will submit a resource to the StorageSessionHolder
 * After successful session completion the resource will be called back.
 */
public interface WorkQueueSessionService {
    /**
     * Add session callback to after session completion
     *
     * @return false if no session
     */
    boolean register(WorkQueueSessionCompletionCallback callback);

    /**
     * A Session callback to be called after successful completion
     */
    interface WorkQueueSessionCompletionCallback {

        /**
         * Callback after successful completion
         */
        void afterCompletion();
    }
}
