package org.artifactory.ui.rest.service.builds.buildsinfo.tabs.builddiff;

import lombok.NonNull;
import org.artifactory.api.build.BuildService;
import org.artifactory.api.build.model.diff.BuildParams;
import org.artifactory.rest.common.service.ArtifactoryRestRequest;
import org.artifactory.rest.common.service.RestResponse;
import org.artifactory.rest.common.service.RestService;

/**
 * @author BarakH
 */
abstract class DiffBuildModuleBaseService implements RestService {

    protected final BuildService buildService;

    public DiffBuildModuleBaseService(@NonNull BuildService buildService) {
        this.buildService = buildService;
    }

    @Override
    public void execute(ArtifactoryRestRequest request, RestResponse response) {
        String name = request.getPathParamByKey("name");
        String moduleId = request.getPathParamByKey("id");
        String buildNumber = request.getPathParamByKey("number");
        String comparedBuildNum = request.getQueryParamByKey("otherNumber");
        String comparedDate = request.getQueryParamByKey("otherDate");
        String buildStarted = request.getPathParamByKey("date");
        String buildRepo = buildService.normaliseBuildRepoName(request.getQueryParamByKey("buildRepo"));

        BuildParams buildParams = new BuildParams(moduleId, buildNumber, comparedBuildNum, comparedDate, buildStarted,
                name, buildRepo);
        doExecute(buildParams, response);
    }

    protected abstract void doExecute(@NonNull BuildParams buildParams, RestResponse response);
}
