package org.artifactory.ui.rest.service.utils.groups;

import org.artifactory.api.repo.RepositoryService;
import org.artifactory.descriptor.repo.FederatedRepoDescriptor;
import org.artifactory.descriptor.repo.LocalRepoDescriptor;
import org.artifactory.security.RepoPermissionTarget;
import org.testng.annotations.Test;

import java.util.ArrayList;
import java.util.List;

import static org.artifactory.security.PermissionTarget.ANY_LOCAL_REPO;
import static org.mockito.Mockito.mock;
import static org.mockito.Mockito.when;
import static org.testng.Assert.assertEquals;

/**
 * @author Alexei Vainshtein
 */
public class GetGroupPermissionsServiceTest {

    @Test
    public void testGetRepoKeysSize() {
        RepositoryService repositoryService = mock(RepositoryService.class);
        List<LocalRepoDescriptor> list = new ArrayList<>();
        list.add(new LocalRepoDescriptor());
        list.add(new FederatedRepoDescriptor());
        when(repositoryService.getLocalAndFederatedRepoDescriptorsExcludingInfoRepos()).thenReturn(list);
        GetGroupPermissionsService service = new GetGroupPermissionsService(null, repositoryService);
        RepoPermissionTarget target = mock(RepoPermissionTarget.class);
        when(target.getRepoKeys()).thenReturn(List.of(ANY_LOCAL_REPO));
        assertEquals(service.getRepoKeysSize(target), list.size());
    }
}